/* 
 * File:   infraredinput.c
 * Author: ron
 * Created on December 10, 2011, 1:21 PM
 */

#include <p18f4550.h>

#define switch1  PORTAbits.RA0


#define led1    LATDbits.LATD7
#define led2    LATDbits.LATD6

#define led3    LATBbits.LATB0
#define led4    LATBbits.LATB1
#define led5    LATBbits.LATB2



void main (void)

{
	OSCCONbits.IRCF2 = 1 ;		// set internal clock to 8 MHz
	OSCCONbits.IRCF1 = 1;		//
	OSCCONbits.IRCF0 = 1;		//

   	TRISAbits.TRISA0 = 1;  //   Configure Input RA0

	TRISDbits.TRISD7 = 0;   // Output pin
    TRISDbits.TRISD6 = 0;

    TRISBbits.TRISB0 = 0;   // Output pin
    TRISBbits.TRISB1 = 0;
    TRISBbits.TRISB2 = 0;

	CMCON = 0x07;           // Diable Comparator

	ADCON1bits.PCFG0 = 1;     // These 4 settings below determines the analog or digital input
    ADCON1bits.PCFG1 = 1;     // In our case we are making all the pins digital
    ADCON1bits.PCFG2 = 1;     // by setting them as 1111
    ADCON1bits.PCFG3 = 1;	  // Check with  the datasheet for a nice desc of these bits and config.

	ADCON0bits.ADON = 0;  //  Disabled ADC


    while(1)
    {   //Start While


     if(switch1 == 1)    //   On reading IR sensor value ON
        {
         //Turn led ON 
         led1 = 1;
		 led2 = 1;
		 led3 = 1;
		 led4 = 1;		 
         led5 = 1;
	
		}

      else if ( switch1 == 0) // On reading IR Sensor Value OFF
         {
          //Turn led off
             
		 led1 = 0;
		 led2 = 0;
		 led3 = 0;
		 led4 = 0;		 
         led5 = 0;

			} 
			else {}

 	
    }   //End While loop --forever 
}